Name:           regexxer
Version:        0.8
Release:        2%{?dist}
Summary:        A nifty GUI search/replace tool

Group:          Applications/Text
License:        GPL
URL:            http://regexxer.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsigc++20-devel, libglademm24-devel
BuildRequires:	gconfmm26-devel >= 2.6.1, pcre-devel >= 4.0.0
BuildRequires:	desktop-file-utils, gettext
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun): GConf2

%description
Regexxer is a nifty GUI search/replace tool featuring Perl-style regular 
expressions. If you need project-wide substitution and you’re tired of 
hacking sed command lines together, then you should definitely give it a try.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
killall -HUP gconfd-2 || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Sep 23 2005 Christoph Wickert <wickerpms at arcor.de> - 0.8-2
- Removed hardcoded dependency on gconfmm26.
- Remoded duplicate BuildRequires gtkmm24-devel.

* Thu Sep 22 2005 Christoph Wickert <wickerpms at arcor.de> - 0.8-1
- Initial RPM release.
